// Simple interactive LM35 temperature reader
// by Ido Gendel, 2012
// Share and enjoy!

// Milliseconds between measurements
unsigned int interval = 1000;

void setup() {
  // Initialize serial port
  Serial.begin(9600);
}

void getNewInterval() {

  interval = 0; 
  
  // Loop through input bytes
  while(Serial.available() > 0)
     interval = interval * 10 + Serial.read() - 48;
  
  // Display result 
  // "print" function doesn't move cursor to a new line
   Serial.print("Interval (MS) = ");
   Serial.println(interval);
   
}

void loop() {

  float celsius;

  // Conversion of analog input from LM35 into Celsius
  celsius = analogRead(A0) / 2.048;
  Serial.println(celsius);
  delay(interval);
  
  // Check and handle user input
  if (Serial.available() > 0)  getNewInterval();
 
}
